################################################################################
#
# parted
#
################################################################################

PARTED_VERSION = 3.1
PARTED_SOURCE = parted-$(PARTED_VERSION).tar.xz
PARTED_SITE = $(BR2_GNU_MIRROR)/parted
PARTED_DEPENDENCIES = util-linux
PARTED_INSTALL_STAGING = YES
# For uclinux patch
PARTED_AUTORECONF = YES
PARTED_GETTEXTIZE = YES
PARTED_LICENSE = GPLv3+
PARTED_LICENSE_FILES = COPYING

ifeq ($(BR2_PACKAGE_READLINE),y)
PARTED_DEPENDENCIES += readline
PARTED_CONF_OPT += --with-readline
else
PARTED_CONF_OPT += --without-readline
endif

ifeq ($(BR2_PACKAGE_LVM2),y)
PARTED_DEPENDENCIES += lvm2
PARTED_CONF_OPT += --enable-device-mapper
else
PARTED_CONF_OPT += --disable-device-mapper
endif

ifeq ($(BR2_PREFER_STATIC_LIB),y)
PARTED_CONF_OPT += --disable-dynamic-loading
endif

HOST_PARTED_DEPENDENCIES = host-util-linux
HOST_PARTED_CONF_OPT += \
	--without-readline \
	--disable-device-mapper \

# BK disable all docs, awful hack, create do-nothing Makefile...
define PARTED_PRE_BUILD_FIXUP
 echo -e '\nMakefile:\n\nall:\n\nmostlyclean-libtool:\n\nclean-libtool:\n\n.texi.info:\n\n.texi.dvi:\n\n.texi.pdf:\n\n.texi.html:\n\n$(srcdir)/parted.info:\n\nparted.dvi:\n\nparted.pdf:\n\nparted.html:\n\n$(srcdir)/version.texi:\n\n$(srcdir)/stamp-vti:\n\nmostlyclean-vti:\n\nmaintainer-clean-vti:\n\n.dvi.ps:\n\nuninstall-dvi-am:\n\nuninstall-html-am:\n\nuninstall-info-am:\n\nuninstall-pdf-am:\n\nuninstall-ps-am:\n\ndist-info:\n\nmostlyclean-aminfo:\n\nclean-aminfo:\n\nmaintainer-clean-aminfo:\n\nID:\n\ntags:\n\nTAGS:\n\ntags-am:\n\nctags:\n\nCTAGS:\n\nctags-am:\n\nGTAGS:\n\ncscopelist:\n\ncscopelist-am:\n\ndistclean-tags:\n\ndistdir:\n\ncheck-am:\n\ncheck:\n\nall-am:\n\ninstalldirs:\n\ninstalldirs-am:\n\ninstall:\n\ninstall-exec:\n\ninstall-data:\n\nuninstall:\n\ninstall-am:\n\ninstallcheck:\n\ninstall-strip:\n\nmostlyclean-generic:\n\nclean-generic:\n\ndistclean-generic:\n\nmaintainer-clean-generic:\n\nclean:\n\nclean-am:\n\ndistclean:\n\ndistclean-am:\n\ndvi:\n\ndvi-am:\n\nhtml:\n\nhtml-am:\n\ninfo:\n\ninfo-am:\n\ninstall-data-am:\n\ninstall-dvi:\n\ninstall-dvi-am:\n\ninstall-exec-am:\n\ninstall-html:\n\ninstall-html-am:\n\ninstall-info:\n\ninstall-info-am:\n\ninstall-man:\n\ninstall-pdf:\n\ninstall-pdf-am:\n\ninstall-ps:\n\ninstall-ps-am:\n\ninstallcheck-am:\n\nmaintainer-clean:\n\nmaintainer-clean-am:\n\nmostlyclean:\n\nmostlyclean-am:\n\npdf:\n\npdf-am:\n\nps:\n\nps-am:\n\nuninstall-am:\n\n.MAKE:\n\n.PHONY:\n\nupdatepo:\n\n.NOEXPORT:\n\n' > $(@D)/doc/Makefile
endef

PARTED_PRE_BUILD_HOOKS += PARTED_PRE_BUILD_FIXUP

$(eval $(autotools-package))
$(eval $(host-autotools-package))
